Bug 991515 - Coolkey not registered in /etc/pki/nssdb/pkcs11.txt
Summary: Coolkey not registered in /etc/pki/nssdb/pkcs11.txt
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coolkey
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bob Relyea
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-02 15:49 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2013-11-21 23:05 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-21 23:05:56 UTC


Attachments (Terms of Use)
patch v1 (869 bytes, patch)
2013-08-02 15:54 UTC, Kai Engert (:kaie) (inactive account)
rrelyea: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1699 normal SHIPPED_LIVE coolkey bug fix and enhancement update 2013-11-20 21:52:09 UTC
Red Hat Bugzilla 1017252 None None None Never

Internal Trackers: 1017252

Description Kai Engert (:kaie) (inactive account) 2013-08-02 15:49:19 UTC
Regarding the /etc/pki/nssdb directory:
- nss installs cert8+key3
- nss-sysinit installs cert9+key4

At coolkey.rpm installation time, a %post scriplet installs the coolkey pkcs#11 module into the default module, which is secmod.db

However, coolkey isn't registered into the new pkcs11.txt file used by the newer shared-db sql access mechanism.

I propose that coolkey registers itself into both places:

* I propose to change the existing scriptlet, which will use the default 
  access mechanism, to explicitly spell out the dbm: access mechanism

* I propose to add calls that will explicitly register itself using the
  sql: access mechanism.

Comment 1 Kai Engert (:kaie) (inactive account) 2013-08-02 15:54:39 UTC
Created attachment 782034 [details]
patch v1

possible fix, can you please review?

Comment 3 Bob Relyea 2013-08-02 16:51:22 UTC
Comment on attachment 782034 [details]
patch v1

r+

Comment 4 Kai Engert (:kaie) (inactive account) 2013-08-02 17:04:21 UTC
Thanks for the r+

Will you take care of getting it checked in to RHEL 6.5 git, as part of your other coolkey related work?

Second question, what about other branches? Should this get cloned for RHEL 7 at least?

Comment 5 Hubert Kario 2013-10-10 09:28:49 UTC
(In reply to Kai Engert (:kaie) from comment #4)
> Second question, what about other branches? Should this get cloned for RHEL
> 7 at least?

I have a test case that reproduces the problem, so if it is present on RHEL 7 I'll clone the bug.

Comment 7 Hubert Kario 2013-10-10 10:03:25 UTC
Small update: can't test if the problem is present on RHEL 7 as removing coolkey package doesn't unregister the module from pkcs11.txt file, see bug 1017252

Comment 8 Bob Relyea 2013-10-10 16:35:45 UTC
Hubert, bug 1017252 is the same issue. This bug is clearly fixed in the current 6.5 coolkey build. I think this bug just needs to be added to the errata, but I think it needs a QA ack for that.

bob

Comment 10 Roshni 2013-10-10 18:38:56 UTC
Works fine on RHEL 6.5.

Comment 11 Kai Engert (:kaie) (inactive account) 2013-10-14 21:10:07 UTC
Bob, I want to doublecheck, as you used a slightly different patch.

For the "sql" database check, you used

  modutil -dbdir sdb:%{nssdb}

I had expected you to use sql:

Did you intentionnally use sdb: ?

Comment 13 Bob Relyea 2013-11-12 01:16:50 UTC
erratta updated.

Comment 14 errata-xmlrpc 2013-11-21 23:05:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1699.html


Note You need to log in before you can comment on or make changes to this bug.